Bug 1561961 - [13] Optional NUMA affinity for PCI devices
Summary: [13] Optional NUMA affinity for PCI devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: All
OS: Linux
high
high
Target Milestone: z9
: 13.0 (Queens)
Assignee: Stephen Finucane
QA Contact: James Parker
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On: 1647536 1791991 1366208 1446311 1757886 1775575 1775576 1783354
Blocks: 1188000 1419948 1422243 1427361 1442136 1419231 1650606
TreeView+ depends on / blocked
 
Reported: 2018-03-29 09:18 UTC by Lee Yarwood
Modified: 2020-02-14 18:36 UTC (History)
36 users (show)

Fixed In Version: openstack-nova-17.0.10-9.el7ost
Doc Type: Enhancement
Doc Text:
This release includes support for PCI device NUMA affinity policies. You can configure these policies as part of the `[pci]alias` configuration options. The following policies are supported: - `required` - `legacy` - `preferred` In all cases, strict NUMA affinity is provided if possible. The key difference between the policies is the amount of NUMA affinity you can sacrifice before failing to schedule. You can use these policies to configure how strict your NUMA affinity is for each device, or more specifically, for each device alias. This is useful to ensure maximum resource utilization. When you configure the 'preferred' policy for a PCI device, nova now utilizes CPUs on a different NUMA node from the NUMA node of the PCI device, if only a different node is available. This results in increased resource utilization with the downside of reduced performance for these instances.
Clone Of: 1446311
: 1650606 (view as bug list)
Environment:
Last Closed: 2019-11-07 14:14:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1614882 None None None 2018-03-29 09:18:30 UTC
OpenStack gerrit 361140 'None' 'MERGED' 'PCI NUMA Policies' 2019-12-05 07:53:25 UTC
Red Hat Product Errata RHBA-2019:3796 None None None 2019-11-07 14:14:28 UTC

Comment 5 Lon Hohberger 2018-07-20 10:34:31 UTC
According to our records, this should be resolved by openstack-nova-17.0.3-0.20180420001141.el7ost.  This build is available now.

Comment 15 errata-xmlrpc 2019-11-07 14:14:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3796


Note You need to log in before you can comment on or make changes to this bug.